import Ship from "./Ship"
import { useGameProps } from "@hooks/useGameProps"

function Ships() {
  // const shipIndexes: Ship[] = [
  //   { size: 2, variant: 1, x: 3, y: 3 },
  //   { size: 3, variant: 1, x: 4, y: 3 },
  //   { size: 3, variant: 2, x: 5, y: 3 },
  //   { size: 3, variant: 3, x: 6, y: 3 },
  //   { size: 4, variant: 1, x: 7, y: 3 },
  //   { size: 4, variant: 2, x: 8, y: 3 },
  // ]

  const { ships } = useGameProps()

  return (
    <>
      {ships.map((props, i) => (
        <Ship key={i} props={props} />
      ))}
    </>
  )
}

export default Ships
